Last Comment Bug 603090 - Support form restore for securely transmitted site (HTTPS)
: Support form restore for securely transmitted site (HTTPS)
Status: RESOLVED FIXED
: dataloss, ux-error-prevention
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-09 08:30 PDT by Philip Chee
Modified: 2010-10-11 08:11 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
set privacy_level and privacy_level_deferred to 0 (1.63 KB, patch)
2010-10-09 08:41 PDT, Philip Chee
neil: review+
misak.bugzilla: feedback+
Details | Diff | Review

Description Philip Chee 2010-10-09 08:30:20 PDT
Just like Firefox Bug 424872:

> Mike Beltzner [:beltzner]      2008-03-24 15:25:28 PDT
> 
> The ssl caching improvements should now allow us to set these defaults to
> improve behaviour on session restore.

> Mike Beltzner [:beltzner]      2010-10-04 06:51:22 PDT
> 
> I *believe* that we should save all user generated content by default. It's the
> most friendly and helpful thing to do (though can ultimately be abused by local
> snoopers - but that's what Private Browsing Mode is for, IMO).
> 
> I am uncertain why this relates at all to the cache-control information. If the
> website says that we shouldn't cache its content, then we should observe that
> instruction, but not have that affect how we save user generated content (such
> as the page location or any information they have typed into a textarea).
Comment 1 Philip Chee 2010-10-09 08:41:29 PDT
Created attachment 482043 [details] [diff] [review]
set privacy_level and privacy_level_deferred to 0

> +// the same as browser.sessionstore.privacy_level, but for saving deferred session data
> +pref("browser.sessionstore.privacy_level_deferred", 0);

Jumping the gun slightly since we haven't yet ported Firefox Bug 588482 (Restore Session on-demand after startup)
Comment 2 Misak Khachatryan 2010-10-10 03:20:11 PDT
Comment on attachment 482043 [details] [diff] [review]
set privacy_level and privacy_level_deferred to 0

I'm in process of porting deferred session restore, BTW.
Comment 3 Philip Chee 2010-10-10 04:15:45 PDT
> I'm in process of porting deferred session restore, BTW.
I couldn't find a SeaMonkey bug number.
Comment 4 neil@parkwaycc.co.uk 2010-10-10 12:28:12 PDT
Comment on attachment 482043 [details] [diff] [review]
set privacy_level and privacy_level_deferred to 0

I'm not convinced that we need a separate pref for deferred session restore...
Comment 5 Philip Chee 2010-10-11 08:11:38 PDT
> neil@parkwaycc.co.uk      2010-10-10 12:28:12 PDT
> 
> Comment on attachment 482043 [details] [diff] [review]
> set privacy_level and privacy_level_deferred to 0
> 
> I'm not convinced that we need a separate pref for deferred session restore...

Leaving this out. I'll let Misak deal with this in his deferred session restore.

Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/e78fa2721042

Note You need to log in before you can comment on or make changes to this bug.